import { GraphQLSchema } from 'graphql';
import type { HTTPHeaderValue } from '@pathfinder-ide/stores';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import type { SchemaStoreState } from '@pathfinder-ide/stores';
import { setTheme as setPathfinderTheme } from '@pathfinder-ide/stores';
import type { ThemeOptions } from '@pathfinder-ide/stores';
import { useThemeStore as usePathfinderThemeStore } from '@pathfinder-ide/stores';
import type { WatchHeaders } from '@pathfinder-ide/stores';

export declare const Pathfinder: ({ mode, fetcherOptions, schema, schemaPollingOptions, themeOptions, watchHeaders, }: PathfinderProps) => JSX_2.Element | null;

declare type PathfinderProps = SharedComponentProps & {
    mode?: 'IDE' | 'SCOUT' | 'REFERENCE';
    fetcherOptions?: {
        endpoint: string;
        headers?: Pick<HTTPHeaderValue, 'key' | 'value'>[];
    };
    schemaPollingOptions?: Partial<Pick<SchemaStoreState['polling'], 'enabled' | 'interval'>>;
    watchHeaders?: WatchHeaders;
};

export declare const SchemaDocumentation: ({ schema, themeOptions }: SharedComponentProps) => JSX_2.Element;

export declare const SchemaView: ({ schema, themeOptions }: SharedComponentProps) => JSX_2.Element;

export { setPathfinderTheme }

declare type SharedComponentProps = {
    schema?: GraphQLSchema;
    themeOptions?: Partial<ThemeOptions>;
};

export { usePathfinderThemeStore }

export { }
